> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cargado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get webhook endpoint

> Retrieve details for a single webhook endpoint.



## OpenAPI

````yaml /openapi.yml get /webhooks/endpoints/{endpointId}
openapi: 3.1.0
info:
  title: Cargado API
  version: 1.0.0
  description: Cargado's API
  termsOfService: https://cargado.com/terms/
  contact:
    email: dev-support@cargado.com
servers:
  - url: https://api.cargado.com
    description: The production Cargado API server
security: []
tags:
  - name: Border Crossings
  - name: Loads
  - name: Rates
  - name: CarrierRelationship
  - name: User
  - name: Team
  - name: Webhooks
  - name: Bids
paths:
  /webhooks/endpoints/{endpointId}:
    get:
      tags:
        - Webhooks
      summary: Get webhook endpoint
      description: Retrieve details for a single webhook endpoint.
      operationId: GetEndpoint
      parameters:
        - in: path
          name: endpointId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookEndpoint'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                required:
                  - message
                type: object
      security:
        - apiKey: []
components:
  schemas:
    WebhookEndpoint:
      properties:
        id:
          type: string
          description: Unique identifier for this endpoint
        url:
          type: string
          description: The HTTPS URL where webhook payloads are delivered
        description:
          type: string
          description: Label for this endpoint
        filterTypes:
          items:
            $ref: '#/components/schemas/WebhookEventType'
          type:
            - array
            - 'null'
          description: >-
            Event types this endpoint is subscribed to, or null if subscribed to
            all
        channels:
          items:
            type: string
          type:
            - array
            - 'null'
          description: Channels this endpoint listens on, or null if listening on all
        throttleRate:
          type:
            - number
            - 'null'
          format: double
          description: >-
            Max events per second delivered to this endpoint, or null for
            unlimited
        disabled:
          type: boolean
          description: Whether delivery to this endpoint is paused
        metadata:
          $ref: '#/components/schemas/Record_string.string_'
          description: Arbitrary key-value pairs attached to this endpoint
        createdAt:
          type: string
          description: ISO 8601 timestamp when the endpoint was created
        updatedAt:
          type: string
          description: ISO 8601 timestamp when the endpoint was last modified
      required:
        - id
        - url
        - description
        - filterTypes
        - channels
        - throttleRate
        - disabled
        - metadata
        - createdAt
        - updatedAt
      type: object
      additionalProperties: true
    WebhookEventType:
      type: string
      enum:
        - bid.created
        - bid.accepted
        - bid.rejected
        - bid.revoked
        - bid.closed
        - bid.countered
        - bid.counter_accepted
        - bid.counter_revoked
        - bid.counter_rejected
      description: |-
        Event types available for webhook subscriptions.
        Use these values in `filterTypes` to receive only specific events.
    Record_string.string_:
      properties: {}
      additionalProperties:
        type: string
      type: object
      description: Construct a type with a set of properties K of type T
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: api-key

````